<?php

declare(strict_types=1);

namespace UnitTestFiles\Test;

use PHPUnit\Framework\TestCase;

class SecondTest extends TestCase {
    private $setup;

    protected function setUp(): void {
        $this->setup = \testing\tts_setup::get_instance();
    }
    
    public function testIdAssetsToId() {
        $this->setup::test_route("mockup/example/10");
        $condition = $this->setup::do_routes();
	$this->assertEquals($condition, 10);
    }
    
    public function testAnotherRouteAssetsToTrue() {
        $this->setup::test_route("/mockup/app/first/not_same.html");
        $condition = $this->setup::do_routes();
	$this->assertFalse($condition);        
    }
    
}